Bug 830215 - no firefox icon in menu
no firefox icon in menu
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 10:47 EDT by Samuel Irlapati
Modified: 2012-06-21 10:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 10:55:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Irlapati 2012-06-08 10:47:23 EDT
Description of problem: In the menu, firefox has no icon.


Version-Release number of selected component (if applicable):
firefox-13.0-1.fc17.x86_64


How reproducible:
Install firefox


Steps to Reproduce:
1. Install firefox
2. Look in menu, there will be no firefox icon.
3. Also firefox is not in the "internet" submenu, but only in the "others" submenu.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan Horak 2012-06-19 09:08:45 EDT
I can't reproduce it. Please attach content of /usr/share/applications/firefox.desktop. You may also run 'update-desktop-database' as root and check if it helps. Check if files:
/usr/share/icons/hicolor/16x16/apps/firefox.png
/usr/share/icons/hicolor/22x22/apps/firefox.png
/usr/share/icons/hicolor/24x24/apps/firefox.png
/usr/share/icons/hicolor/256x256/apps/firefox.png
/usr/share/icons/hicolor/32x32/apps/firefox.png
/usr/share/icons/hicolor/48x48/apps/firefox.png
exist.

Check also if ~/.local/share/applications/ contains firefox.desktop or something similar.
Comment 2 Samuel Irlapati 2012-06-20 11:09:19 EDT
Contents of /usr/share/applications

ls /usr/share/applications
ailurus.desktop                              gnome-search-tool.desktop
alacarte.desktop                             gnome-session-properties.desktop
alarm-clock-applet.desktop                   gnome-shell.desktop
apol.desktop                                 gnome-shell-extension-prefs.desktop
authconfig.desktop                           gnome-sol.desktop
autoplus.desktop                             gnome-sound-panel.desktop
backintime-gnome.desktop                     gnome-sound-recorder.desktop
backintime-gnome-root.desktop                gnome-sudoku.desktop
baobab.desktop                               gnome-system-log.desktop
bareftp.desktop                              gnome-system-monitor.desktop
bluetile.desktop                             gnome-terminal.desktop
bluetooth-properties.desktop                 gnome-tweak-tool.desktop
bluetooth-sendto.desktop                     gnome-universal-access-panel.desktop
bluetooth-wizard.desktop                     gnome-user-accounts-panel.desktop
brasero.desktop                              gnome-user-share-properties.desktop
brasero-nautilus.desktop                     gnome-vino-preferences.desktop
cairo-dock-cairo.desktop                     gnome-wacom-panel.desktop
cairo-dock.desktop                           gnome-yelp.desktop
caribou.desktop                              gnote.desktop
cheese.desktop                               gphotoframe.desktop
cinnamon.desktop                             gpk-application.desktop
cinnamon-settings.desktop                    gpk-dbus-service.desktop
clipit.desktop                               gpk-distro-upgrade.desktop
defaults.list                                gpk-install-catalog.desktop
deja-dup.desktop                             gpk-install-local-file.desktop
deja-dup-preferences.desktop                 gpk-log.desktop
eekboard.desktop                             gpk-prefs.desktop
emerillon.desktop                            gpk-service-pack.desktop
epiphany.desktop                             gpk-update-viewer.desktop
evince.desktop                               gstreamer-properties.desktop
evolution.desktop                            ibus-setup.desktop
fedora-abrt.desktop                          ibus-setup-hangul.desktop
fedora-alsamixergui.desktop                  itweb-settings.desktop
fedora-cairo-clock.desktop                   javaws.desktop
fedora-deluge.desktop                        kde
fedora-empathy-accounts.desktop              kde4
fedora-empathy.desktop                       libreoffice-calc.desktop
fedora-gnomad2.desktop                       libreoffice-draw.desktop
fedora-gnumeric.desktop                      libreoffice-impress.desktop
fedora-gonvert.desktop                       libreoffice-math.desktop
fedora-gparted.desktop                       libreoffice-startcenter.desktop
fedora-gvim.desktop                          libreoffice-writer.desktop
fedora-im-chooser.desktop                    libreoffice-xsltfilter.desktop
fedora-iok.desktop                           lombard.desktop
fedora-listen.desktop                        metacity.desktop
fedora-mail-notification-properties.desktop  mimeinfo.cache
fedora-meld.desktop                          mount-archive.desktop
fedora-nact.desktop                          muffin.desktop
fedora-oggconvert.desktop                    mutter.desktop
fedora-release-notes.desktop                 nautilus-autorun-software.desktop
fedora-release-notesX.desktop                nautilus.desktop
fedora-screenruler.desktop                   net-gftp.desktop
fedora-selinux-polgengui.desktop             nm-applet.desktop
fedora-soundconverter.desktop                nm-connection-editor.desktop
fedora-system-config-selinux.desktop         nm-vpnc-auth-dialog.desktop
fedora-xterm.desktop                         notification-daemon.desktop
fedora-yumex.desktop                         nvidia-settings.desktop
firefox.desktop                              nxclient-admin.desktop
flash-player-properties.desktop              nxclient.desktop
font-manager.desktop                         nxclient-help.desktop
font-sampler.desktop                         nxclient-wizard.desktop
freenx-qtnx.desktop                          orca.desktop
gcalctool.desktop                            palimpsest.desktop
gcm-calibrate.desktop                        paman.desktop
gcm-import.desktop                           paprefs.desktop
gcm-picker.desktop                           pavucontrol.desktop
gcm-viewer.desktop                           pavumeter.desktop
gcr-prompter.desktop                         pavumeter-record.desktop
gcr-viewer.desktop                           planner.desktop
gedit.desktop                                pulseaudio-equalizer.desktop
gimp.desktop                                 redhat-system-config-network.desktop
gkbd-keyboard-display.desktop                redhat-system-control-network.desktop
gloobus-preview.desktop                      redhat-userinfo.desktop
gnome-activity-journal.desktop               redhat-usermount.desktop
gnome-background-panel.desktop               redhat-userpasswd.desktop
gnome-boxes.desktop                          remmina.desktop
gnome-color-panel.desktop                    rhythmbox.desktop
gnome-contacts.desktop                       rhythmbox-device.desktop
gnome-control-center.desktop                 rpmfusion-gnome-mplayer.desktop
gnome-datetime-panel.desktop                 screensavers
gnome-dictionary.desktop                     seahorse.desktop
gnome-display-panel.desktop                  seaudit.desktop
gnome-documents.desktop                      sediffx.desktop
gnome-ekiga.desktop                          setroubleshoot.desktop
gnome-eog.desktop                            shotwell.desktop
gnome-file-roller.desktop                    shotwell-viewer.desktop
gnome-font-viewer.desktop                    simple-scan.desktop
gnome-gnomine.desktop                        skype.desktop
gnome-gnucash.desktop                        sound-juicer.desktop
gnome-gucharmap.desktop                      system-config-date.desktop
gnome-iagno.desktop                          system-config-firewall.desktop
gnome-info-panel.desktop                     system-config-keyboard.desktop
gnome-keyboard-panel.desktop                 system-config-language.desktop
gnome-mouse-panel.desktop                    system-config-printer.desktop
gnome-network-panel.desktop                  system-config-users.desktop
gnome-online-accounts-panel.desktop          tomboy.desktop
gnome-panel.desktop                          totem.desktop
gnome-phone-manager.desktop                  transmission-gtk.desktop
gnome-photo-printer.desktop                  vinagre.desktop
gnome-power-panel.desktop                    vinagre-file.desktop
gnome-power-statistics.desktop               virtualbox.desktop
gnome-printers-panel.desktop                 vlc.desktop
gnome-rdp.desktop                            vncviewer.desktop
gnome-region-panel.desktop                   xfreerdp.desktop
gnome-schedule.desktop                       xiphos.desktop
gnome-screen-panel.desktop                   xscreensaver-properties.desktop
gnome-screenshot.desktop

I get the following error when running update-desktop-database
[root@Salem ~]# update-desktop-database
Warning in file "/usr/share/applications/fedora-gnumeric.desktop": usage of MIME type "zz-application/zz-winassoc-xls" is discouraged ("zz-application/zz-winassoc-xls" should be replaced with "application/vnd.ms-excel")
[root@Salem ~]#

The png files do exist
[root@Salem ~]# ls /usr/share/icons/hicolor/16x16/apps/firefox.png /usr/share/icons/hicolor/22x22/apps/firefox.png /usr/share/icons/hicolor/24x24/apps/firefox.png /usr/share/icons/hicolor/256x256/apps/firefox.png /usr/share/icons/hicolor/32x32/apps/firefox.png /usr/share/icons/hicolor/48x48/apps/firefox.png
/usr/share/icons/hicolor/16x16/apps/firefox.png
/usr/share/icons/hicolor/22x22/apps/firefox.png
/usr/share/icons/hicolor/24x24/apps/firefox.png
/usr/share/icons/hicolor/256x256/apps/firefox.png
/usr/share/icons/hicolor/32x32/apps/firefox.png
/usr/share/icons/hicolor/48x48/apps/firefox.png
[root@Salem ~]#

Yes firefox.desktop exists
[Salem 3] ~ > ls ~/.local/share/applications/firefox.desktop 
/home/irlapati/.local/share/applications/firefox.desktop
[10:08 0.54]
[Salem 4] ~ >

This is on a fresh install, except the home directory is the same as before.
Comment 3 Jan Horak 2012-06-21 02:46:51 EDT
Please check content of:
/home/irlapati/.local/share/applications/firefox.desktop
You also may delete it to most likely fix this issue.
Comment 4 Samuel Irlapati 2012-06-21 10:30:42 EDT
I removed the file and it worked. Thank you for the help.

Note You need to log in before you can comment on or make changes to this bug.